# ChangeLog for dev-tex/luatex
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-tex/luatex/ChangeLog,v 1.116 2013/01/22 19:24:02 jer Exp $

  22 Jan 2013; Jeroen Roovers <jer@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for HPPA (bug #452018).

  22 Jan 2013; Agostino Sarubbo <ago@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for x86, wrt bug #452018

  21 Jan 2013; Agostino Sarubbo <ago@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for sparc, wrt bug #452018

  21 Jan 2013; Agostino Sarubbo <ago@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for ia64, wrt bug #452018

  20 Jan 2013; Agostino Sarubbo <ago@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for arm, wrt bug #452018

  20 Jan 2013; Agostino Sarubbo <ago@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for alpha, wrt bug #452018

  16 Jan 2013; Agostino Sarubbo <ago@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for ppc64, wrt bug #452018

  16 Jan 2013; Agostino Sarubbo <ago@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for ppc, wrt bug #452018

*luatex-0.74.0 (15 Jan 2013)

  15 Jan 2013; Alexis Ballier <aballier@gentoo.org> +luatex-0.74.0.ebuild,
  +files/includes.patch:
  version bump

  15 Jan 2013; Agostino Sarubbo <ago@gentoo.org> luatex-0.70.1-r1.ebuild:
  Stable for amd64, wrt bug #452018

  14 Jan 2013; Alexis Ballier <aballier@gentoo.org> luatex-0.70.1.ebuild,
  luatex-0.70.1-r1.ebuild:
  Tweak elog message to mention newer TeX Live versions, bug #439916 by Keshav
  Kini

  17 Oct 2012; Alexis Ballier <aballier@gentoo.org> luatex-0.70.1-r1.ebuild:
  switch to efmtutil-sys

  08 Aug 2012; Andreas K. Huettel <dilfridge@gentoo.org> luatex-0.70.1.ebuild,
  luatex-0.70.1-r1.ebuild:
  xpdf-headers useflag for poppler is going away

*luatex-0.70.1-r1 (01 Aug 2012)

  01 Aug 2012; Alexis Ballier <aballier@gentoo.org> +luatex-0.70.1-r1.ebuild,
  +files/remove-zlib-version-check.patch:
  Remove zlib version check which breaks at every minor/micro bump in zlib, by
  Ulrich Müller, bug #310487

  26 Jul 2012; Alexis Ballier <aballier@gentoo.org> +files/kpathsea2012.patch,
  luatex-0.70.1.ebuild:
  Do not include empty headers. They have been removed from TeX Live 2012
  kpathsea, fixes build with that version. Patch from upstream.

  25 Jul 2012; Christoph Junghans <ottxor@gentoo.org> luatex-0.70.1.ebuild:
  added prefix support (bug #427834)

  09 Jul 2012; Alexis Ballier <aballier@gentoo.org> +files/poppler020.patch,
  luatex-0.70.1.ebuild:
  fix build with poppler 0.20, by Rafał Mużyło, bug #416545

  09 May 2012; Alexis Ballier <aballier@gentoo.org> luatex-0.70.1.ebuild:
  keyword ~amd64-fbsd

  02 May 2012; Jeff Horelick <jdhore@gentoo.org> luatex-0.70.1.ebuild:
  dev-util/pkgconfig -> virtual/pkgconfig

  05 Oct 2011; Alexis Ballier <aballier@gentoo.org> +files/poppler018.patch,
  luatex-0.70.1.ebuild:
  fix build with latest poppler, by Martin von Gagern, bug #384875

  05 Oct 2011; Alexis Ballier <aballier@gentoo.org> -luatex-0.63.0.ebuild,
  -luatex-0.65.0.ebuild:
  remove old

  04 Oct 2011; Jeroen Roovers <jer@gentoo.org> luatex-0.70.1.ebuild:
  Stable for HPPA (bug #355085).

  18 Sep 2011; Raúl Porcel <armin76@gentoo.org> luatex-0.70.1.ebuild:
  alpha/ia64/s390/sh/sparc stable wrt #355085

  14 Aug 2011; Markus Meier <maekke@gentoo.org> luatex-0.70.1.ebuild:
  arm stable, bug #355085

  12 Aug 2011; Kacper Kowalik <xarthisius@gentoo.org> luatex-0.70.1.ebuild:
  ppc/ppc64 stable wrt #355085

  12 Aug 2011; Thomas Kahle <tomka@gentoo.org> luatex-0.70.1.ebuild:
  x86 stable per bug 355085

  09 Aug 2011; Markos Chandras <hwoarang@gentoo.org> luatex-0.70.1.ebuild:
  Stable on amd64 wrt bug #355085

*luatex-0.70.1 (04 Jul 2011)

  04 Jul 2011; Alexis Ballier <aballier@gentoo.org> +luatex-0.70.1.ebuild:
  version bump

  15 Jun 2011; Naohiro Aota <naota@gentoo.org> luatex-0.65.0.ebuild:
  Added ~x86-fbsd, bug #345317

  13 Jun 2011; Matt Turner <mattst88@gentoo.org> luatex-0.65.0.ebuild:
  Added ~mips, bug 345317

  27 Feb 2011; Raúl Porcel <armin76@gentoo.org> luatex-0.65.0.ebuild:
  Add ~alpha/~ia64/~s390/~sh/~sparc wrt #345317

  20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> luatex-0.65.0.ebuild:
  Marked ~ppc/~ppc64 wrt #345317

  15 Feb 2011; Alexis Ballier <aballier@gentoo.org> luatex-0.65.0.ebuild:
  Fix build with libpng 1.5, by Lars Wendler (Polynomial-C)
  <polynomial-c@gentoo.org>, imported from netbsd
  ftp://ftp.netbsd.org/pub/pkgsrc/current/pkgsrc/print/luatex/patches/patch-ad
  , bug #355091

  16 Dec 2010; Alexis Ballier <aballier@gentoo.org> -luatex-0.64.0.ebuild:
  remove old

*luatex-0.65.0 (16 Dec 2010)

  16 Dec 2010; Alexis Ballier <aballier@gentoo.org> +luatex-0.65.0.ebuild:
  version bump

  29 Nov 2010; Alexis Ballier <aballier@gentoo.org> -luatex-0.50.0-r1.ebuild,
  -luatex-0.60.2.ebuild:
  remove old

  27 Nov 2010; Raúl Porcel <armin76@gentoo.org> luatex-0.63.0.ebuild:
  alpha/ia64/s390/sh/sparc stable wrt #341933

*luatex-0.64.0 (13 Nov 2010)

  13 Nov 2010; Alexis Ballier <aballier@gentoo.org> +luatex-0.64.0.ebuild:
  version bump

  29 Oct 2010; Markus Meier <maekke@gentoo.org> luatex-0.63.0.ebuild:
  arm stable, bug #341933

  26 Oct 2010; Christian Faulhammer <fauli@gentoo.org> luatex-0.63.0.ebuild:
  stable x86, bug 341933

  26 Oct 2010; Jeroen Roovers <jer@gentoo.org> luatex-0.63.0.ebuild:
  Stable for PPC (bug #341933).

  26 Oct 2010; Jeroen Roovers <jer@gentoo.org> luatex-0.63.0.ebuild:
  Stable for HPPA (bug #341933).

  25 Oct 2010; Markos Chandras <hwoarang@gentoo.org> luatex-0.63.0.ebuild:
  Stable on amd64 wrt bug #341933

  23 Oct 2010; Samuli Suominen <ssuominen@gentoo.org> luatex-0.63.0.ebuild:
  ppc64 stable wrt #341933

*luatex-0.63.0 (01 Oct 2010)

  01 Oct 2010; Alexis Ballier <aballier@gentoo.org> +luatex-0.63.0.ebuild:
  version bump

  21 Jul 2010; Alexis Ballier <aballier@gentoo.org> -luatex-0.60.1.ebuild:
  remove old

*luatex-0.60.2 (18 Jul 2010)

  18 Jul 2010; Alexis Ballier <aballier@gentoo.org> +luatex-0.60.2.ebuild:
  version bump

  11 May 2010; Alexis Ballier <aballier@gentoo.org> -luatex-0.60.0.ebuild:
  remove old

*luatex-0.60.1 (03 May 2010)

  03 May 2010; Alexis Ballier <aballier@gentoo.org> +luatex-0.60.1.ebuild:
  version bump

*luatex-0.60.0 (27 Apr 2010)

  27 Apr 2010; Alexis Ballier <aballier@gentoo.org> +luatex-0.60.0.ebuild:
  version bump

  12 Mar 2010; Alexis Ballier <aballier@gentoo.org> luatex-0.50.0-r1.ebuild,
  -files/luatex-0.50.0-m4-error.patch:
  clean up the mess and make a new patchset tarball

  12 Mar 2010; Doug Goldstein <cardoe@gentoo.org> luatex-0.50.0-r1.ebuild,
  +files/luatex-0.50.0-m4-error.patch:
  fix bug #308337, with patch from Kacper Kowalik <xarthisius.kk@gmail.com>

  25 Feb 2010; Alexis Ballier <aballier@gentoo.org> luatex-0.50.0-r1.ebuild:
  require autoconf 2.63 at least, by Benjamin Peterson
  <benjamin@python.org>, bug #303819

  10 Feb 2010; Samuli Suominen <ssuominen@gentoo.org>
  luatex-0.50.0-r1.ebuild:
  amd64 stable wrt #301943

  09 Feb 2010; Joseph Jezak <josejx@gentoo.org> luatex-0.50.0-r1.ebuild:
  Marked ppc/ppc64 stable.

  09 Feb 2010; Ben de Groot <yngwin@gentoo.org> -luatex-0.30.3.ebuild:
  Remove 0.30.3 which depends on obsolete poppler version

  05 Feb 2010; Raúl Porcel <armin76@gentoo.org> luatex-0.50.0-r1.ebuild:
  alpha/ia64/s390/sh/sparc stable wrt #290464

  05 Feb 2010; Markus Meier <maekke@gentoo.org> luatex-0.50.0-r1.ebuild:
  arm stable, bug #301943

  04 Feb 2010; Markus Meier <maekke@gentoo.org> luatex-0.50.0-r1.ebuild:
  x86 stable, bug #301943

  04 Feb 2010; Markus Meier <maekke@gentoo.org> luatex-0.50.0.ebuild:
  arm stable, bug #301943

  04 Feb 2010; Jeroen Roovers <jer@gentoo.org> luatex-0.50.0-r1.ebuild:
  Stable for HPPA (bug #301943).

*luatex-0.50.0-r1 (04 Feb 2010)

  04 Feb 2010; Alexis Ballier <aballier@gentoo.org>
  +luatex-0.50.0-r1.ebuild:
  disable largefile in kpathsea too to avoid sizeof(off_t) mismatch between
  different .c files. Bug #302273

  03 Feb 2010; Markus Meier <maekke@gentoo.org> luatex-0.50.0.ebuild:
  amd64 stable, bug #301943

  26 Jan 2010; Alexis Ballier <aballier@gentoo.org> -luatex-0.46.0.ebuild,
  -luatex-0.47.0.ebuild:
  remove old

  26 Jan 2010; Alexis Ballier <aballier@gentoo.org> luatex-0.50.0.ebuild:
  Check virtual/poppler version for the conditional patch, bug #302221

  26 Jan 2010; Jeroen Roovers <jer@gentoo.org> luatex-0.50.0.ebuild:
  Marked ~hppa (bug #302273).

  26 Jan 2010; Jeroen Roovers <jer@gentoo.org> luatex-0.50.0.ebuild:
  Stable for HPPA (bug #301943).

  23 Jan 2010; Tom Gall <tgall@gentoo.org> luatex-0.50.0.ebuild:
  stable on ppc64, bug #301943

  23 Jan 2010; Christian Faulhammer <fauli@gentoo.org> luatex-0.50.0.ebuild:
  stable x86, bug 301943

  09 Jan 2010; Alexis Ballier <aballier@gentoo.org> luatex-0.50.0.ebuild:
  Use system kpathsea with texlive 2009 and add missing tex-base dep

*luatex-0.50.0 (04 Jan 2010)

  04 Jan 2010; Alexis Ballier <aballier@gentoo.org> +luatex-0.50.0.ebuild:
  version bump

*luatex-0.47.0 (22 Dec 2009)

  22 Dec 2009; Alexis Ballier <aballier@gentoo.org> +luatex-0.47.0.ebuild:
  version bump

  12 Dec 2009; Alexis Ballier <aballier@gentoo.org> -luatex-0.40.6.ebuild,
  -luatex-0.43.0.ebuild, -luatex-0.44.0.ebuild:
  remove old

*luatex-0.46.0 (12 Dec 2009)

  12 Dec 2009; Alexis Ballier <aballier@gentoo.org> +luatex-0.46.0.ebuild:
  version bump

*luatex-0.44.0 (12 Nov 2009)

  12 Nov 2009; Alexis Ballier <aballier@gentoo.org> +luatex-0.44.0.ebuild:
  version bump

  15 Sep 2009; Alexis Ballier <aballier@gentoo.org> luatex-0.43.0.ebuild:
  Fix build with autoconf 2.64, bug #282900

  14 Sep 2009; Peter Alfredsen <loki_val@gentoo.org> luatex-0.30.3.ebuild,
  luatex-0.40.6.ebuild:
  Make poppler dependency explicit,
  http://forums.gentoo.org/viewtopic.php?p=5971327

*luatex-0.43.0 (27 Aug 2009)

  27 Aug 2009; Alexis Ballier <aballier@gentoo.org> +luatex-0.43.0.ebuild:
  version bump, fixing bug #282833 while at it

  22 Jul 2009; Alexis Ballier <aballier@gentoo.org> luatex-0.40.6.ebuild:
  Bump patchset to include correct zzip headers, by Fabian Groffen
  <grobian@gentoo.org>, bug #278690

*luatex-0.40.6 (26 Jun 2009)

  26 Jun 2009; Alexis Ballier <aballier@gentoo.org> -luatex-0.40.5.ebuild,
  +luatex-0.40.6.ebuild:
  version bump

  25 Jun 2009; Alexis Ballier <aballier@gentoo.org> luatex-0.40.5.ebuild:
  configure and build in the proper subdirs instead of leaving the build
  system doing it itself, should fix bug #274802

  24 Jun 2009; Alexis Ballier <aballier@gentoo.org> luatex-0.40.5.ebuild:
  Add a patch to fix build dependencies in the makefiles, bug #274770

  23 Jun 2009; Alexis Ballier <aballier@gentoo.org> luatex-0.40.5.ebuild:
  Add --without-x to configure args, bug #274822 plus some minor cleanups

  22 Jun 2009; Alexis Ballier <aballier@gentoo.org> luatex-0.40.5.ebuild:
  it needs libtool 2.2.6

  20 Jun 2009; Alexey Shvetsov <alexxy@gentoo.org> luatex-0.40.5.ebuild:
  Add ~mips keyword

*luatex-0.40.5 (19 Jun 2009)

  19 Jun 2009; Alexis Ballier <aballier@gentoo.org> +luatex-0.40.5.ebuild:
  version bump

  23 May 2009; Alexis Ballier <aballier@gentoo.org> luatex-0.30.3.ebuild:
  Add a patch to build with glibc 2.10, getline redefinitions, by Constantin
  Baranov, bug #270474

  14 May 2009; Alexis Ballier <aballier@gentoo.org> luatex-0.30.3.ebuild:
  add a patch to build with latest poppler, bug #269544

  30 Mar 2009; Peter Alfredsen <loki_val@gentoo.org> luatex-0.30.3.ebuild:
  Update dependencies w.r.t. bug 264230, fully-split-out poppler transition.
  commit

  18 Mar 2009; Brent Baude <ranger@gentoo.org> luatex-0.30.3.ebuild:
  Marking luatex-0.30.3 ppc stable for bug 253551

  18 Mar 2009; Raúl Porcel <armin76@gentoo.org> luatex-0.30.3.ebuild:
  alpha/arm/ia64/s390/sh stable wrt #253551

  13 Mar 2009; Brent Baude <ranger@gentoo.org> luatex-0.30.3.ebuild:
  Marking luatex-0.30.3 ppc64 stable for bug 235551

  11 Mar 2009; Markus Meier <maekke@gentoo.org> luatex-0.30.3.ebuild:
  amd64 stable, bug #253551

  10 Mar 2009; Raúl Porcel <armin76@gentoo.org> luatex-0.30.3.ebuild:
  Add ~arm/~s390/~sh

  07 Mar 2009; Christian Faulhammer <fauli@gentoo.org> luatex-0.30.3.ebuild:
  x86 stable, bug 253551

  06 Mar 2009; Jeroen Roovers <jer@gentoo.org> luatex-0.30.3.ebuild:
  Stable for HPPA (bug #253551).

  27 Feb 2009; Ferris McCormick <fmccor@gentoo.org> luatex-0.30.3.ebuild:
  Sparc stable, preparation for Bug #253551.

  08 Dec 2008; Alexis Ballier <aballier@gentoo.org> -luatex-0.30.2.ebuild:
  remove old

*luatex-0.30.3 (29 Nov 2008)

  29 Nov 2008; Alexis Ballier <aballier@gentoo.org> +luatex-0.30.3.ebuild:
  version bump

  18 Nov 2008; Ferris McCormick <fmccor@gentoo.org> luatex-0.30.2.ebuild:
  Keyword for ~sparc, part of bug #237202, thanks to Friedrich Oslage (bluebird).

  27 Oct 2008; Alexis Ballier <aballier@gentoo.org> -luatex-0.29.0.ebuild,
  -luatex-0.30.0.ebuild, -luatex-0.30.1.ebuild:
  remove old

  27 Oct 2008; Alexis Ballier <aballier@gentoo.org> luatex-0.30.2.ebuild:
  Set LC_ALL to C when building, same treatment as tl-core, bug #244619

*luatex-0.30.2 (26 Oct 2008)

  26 Oct 2008; Alexis Ballier <aballier@gentoo.org> +luatex-0.30.2.ebuild:
  version bump

*luatex-0.30.1 (13 Oct 2008)

  13 Oct 2008; Alexis Ballier <aballier@gentoo.org> +luatex-0.30.1.ebuild:
  version bump

  06 Oct 2008; Alexis Ballier <aballier@gentoo.org> luatex-0.30.0.ebuild:
  Push ~ppc to 0.30.0 too

  05 Oct 2008; Jeroen Roovers <jer@gentoo.org> luatex-0.30.0.ebuild:
  Marked ~hppa (bug #237202).

  04 Oct 2008; Brent Baude <ranger@gentoo.org> luatex-0.29.0.ebuild:
  Marking luatex-0.29.0 ~ppc per bug 237202

  02 Oct 2008; Alexis Ballier <aballier@gentoo.org> luatex-0.30.0.ebuild:
  Switch to eapi-2 and make use of use-deps and the new phases.

*luatex-0.30.0 (02 Oct 2008)

  02 Oct 2008; Alexis Ballier <aballier@gentoo.org> +luatex-0.30.0.ebuild:
  version bump

  30 Sep 2008; Alexis Ballier <aballier@gentoo.org> luatex-0.29.0.ebuild:
  bump patchset to stop using xpdfVersion, it's not there anymore in latest
  poppler and we don't really need it

  23 Sep 2008; Raúl Porcel <armin76@gentoo.org> luatex-0.29.0.ebuild:
  Add ~alpha/~ia64 wrt #237202

  21 Sep 2008; Brent Baude <ranger@gentoo.org> luatex-0.29.0.ebuild:
  Marking luatex-0.29.0 ~ppc64 for bug 237202

  11 Sep 2008; Markus Meier <maekke@gentoo.org> luatex-0.29.0.ebuild:
  add ~x86, bug #237202

*luatex-0.29.0 (03 Sep 2008)

  03 Sep 2008; Alexis Ballier <aballier@gentoo.org> +metadata.xml,
  +luatex-0.29.0.ebuild:
  Initial import. Standalone version of luatex patched to use poppler. Not
  very useful without TeX Live 2008 but that is a start.
